Create signal
curl --request POST \
--url https://app.outlit.ai/api/signals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "EVENT_MATCH",
"name": "Workspace inactive",
"description": null,
"definition": {
"grain": "customer",
"subjectResolver": "event_customer",
"eventNames": [
"workspace_inactive"
],
"propertyConditions": [],
"conditionMode": "ALL"
}
}
'import requests
url = "https://app.outlit.ai/api/signals"
payload = {
"kind": "EVENT_MATCH",
"name": "Workspace inactive",
"description": None,
"definition": {
"grain": "customer",
"subjectResolver": "event_customer",
"eventNames": ["workspace_inactive"],
"propertyConditions": [],
"conditionMode": "ALL"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'EVENT_MATCH',
name: 'Workspace inactive',
description: null,
definition: {
grain: 'customer',
subjectResolver: 'event_customer',
eventNames: ['workspace_inactive'],
propertyConditions: [],
conditionMode: 'ALL'
}
})
};
fetch('https://app.outlit.ai/api/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"commandId": "<string>",
"commandVersion": 123,
"correlationId": "<string>",
"result": {
"operationId": "<string>",
"status": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>"
}
],
"data": {
"signal": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"definition": "<unknown>",
"schemaVersion": "<string>",
"configHash": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"warnings": [
"<string>"
],
"auditId": "<string>"
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Invalid credentials"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}{
"error": "Internal server error"
}{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}Platform API
Create signal
Create a UI-managed Outlit automation signal.
POST
/
api
/
signals
Create signal
Authorizations
Outlit API key using the Bearer ok_... format.
Body
application/json
Was this page helpful?
⌘I